> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user avatars



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 get /frontend/api/v1/user/current/avatar
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/user/current/avatar:
    get:
      tags:
        - User
      summary: Get user avatars
      operationId: routes/user.GetCurrentUserAvatar
      parameters:
        - name: provider-list
          in: query
          description: Avatar provider list
          schema:
            description: Avatar provider list
            items:
              $ref: '#/components/schemas/UserAvatarProvider'
            type: array
          explode: true
        - name: include-disabled
          in: query
          description: Include disabled avatars
          schema:
            description: Include disabled avatars
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGetCurrentUserAvatarResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterUnauthorizedError'
      security:
        - api_key_header: []
        - api_key: []
        - jwt-token: []
        - jwt-cookie: []
        - jwt: []
components:
  schemas:
    UserAvatarProvider:
      enum:
        - probe-dev
        - amazon
        - atlassian
        - facebook
        - github
        - google
        - linkedin
        - slack
      type: string
    UserGetCurrentUserAvatarResponse:
      properties:
        avatars:
          items:
            $ref: '#/components/schemas/UserAvatar'
          type:
            - array
            - 'null'
      type: object
    RouterUnauthorizedError:
      properties:
        code:
          description: Application-specific error code.
          type: integer
        context:
          additionalProperties: {}
          description: Application context.
          type: object
        error:
          description: Error message.
          type: string
        status:
          description: Status text.
          type: string
      type: object
    UserAvatar:
      properties:
        created:
          format: date-time
          type: string
        enabled:
          type: boolean
        id:
          format: uuid
          type: string
        provider:
          $ref: '#/components/schemas/UserAvatarProvider'
        url:
          type: string
      type: object
  securitySchemes:
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    jwt-token:
      description: JWT API Security (Token).
      type: apiKey
      name: jwt
      in: query
    jwt-cookie:
      description: JWT API Security (Cookie).
      type: apiKey
      name: jwt
      in: cookie
    jwt:
      description: JWT API Security (Header).
      type: http
      scheme: bearer
      bearerFormat: JWT

````